PATCH
/
api
/
v1
/
accounts
/
{account_id}
/
scheduling
/
workday_overrides
/
{id}
Update a workday override
curl --request PATCH \
  --url https://one-link.kz/api/v1/accounts/{account_id}/scheduling/workday_overrides/{id} \
  --header 'Content-Type: application/json' \
  --header 'api_access_token: <api-key>' \
  --data '
{
  "resource_id": 123,
  "date": "2023-12-25",
  "start_minute": 123,
  "end_minute": 123,
  "break_start_minute": 123,
  "break_end_minute": 123,
  "break_title": "<string>",
  "custom_attributes": {}
}
'
{
  "payload": {
    "id": 123,
    "resource_id": 123,
    "date": "2023-12-25",
    "start_minute": 123,
    "end_minute": 123,
    "break_start_minute": 123,
    "break_end_minute": 123,
    "break_title": "<string>",
    "custom_attributes": {}
  }
}

Authorizations

api_access_token
string
header
required

This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.

Path Parameters

account_id
integer
required

The numeric ID of the account

id
integer
required

Body

application/json
resource_id
integer
date
string<date>
start_minute
integer
end_minute
integer
break_start_minute
integer
break_end_minute
integer
break_title
string
custom_attributes
object

Response

Override updated

payload
object